FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202006290519.p0 BUILD_VERSION=v4.3.28 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=28 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.28-202006290519.p0 
ENV __doozer=merge OS_GIT_COMMIT=af6a059 OS_GIT_VERSION=4.3.28-202006290519.p0-af6a059 SOURCE_DATE_EPOCH=1571298718 SOURCE_GIT_COMMIT=af6a059ffb1a408f5d24e43863a581f285ae440f SOURCE_GIT_TAG=v1.0.0-rc1-167-gaf6a059f SOURCE_GIT_URL=https://github.com/openshift/csi-node-driver-registrar 
WORKDIR /go/src/github.com/kubernetes-csi/node-driver-registrar
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.28.20200629.051926
ENV __doozer=update BUILD_RELEASE=202006290519.p0 BUILD_VERSION=v4.3.28 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=28 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.28-202006290519.p0 
ENV __doozer=merge OS_GIT_COMMIT=af6a059 OS_GIT_VERSION=4.3.28-202006290519.p0-af6a059 SOURCE_DATE_EPOCH=1571298718 SOURCE_GIT_COMMIT=af6a059ffb1a408f5d24e43863a581f285ae440f SOURCE_GIT_TAG=v1.0.0-rc1-167-gaf6a059f SOURCE_GIT_URL=https://github.com/openshift/csi-node-driver-registrar 
COPY --from=builder /go/src/github.com/kubernetes-csi/node-driver-registrar/bin/csi-node-driver-registrar /usr/bin/
ENTRYPOINT ["/usr/bin/csi-node-driver-registrar"]

LABEL \
        name="openshift/ose-csi-node-driver-registrar" \
        com.redhat.component="csi-node-driver-registrar-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202006290519.p0" \
        io.openshift.build.commit.id="af6a059ffb1a408f5d24e43863a581f285ae440f" \
        io.openshift.build.source-location="https://github.com/openshift/csi-node-driver-registrar" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-node-driver-registrar/commit/af6a059ffb1a408f5d24e43863a581f285ae440f" \
        version="v4.3.28"

